/*********************************************************************
 *
 * Copyright 2001 NetBurner  ALL RIGHTS RESERVED
 *   Permission is hereby granted to purchasers of NetBurner Hardware
 *   to use or modify this computer program for any use as long as the
 *   resultant program is only executed on NetBurner provided hardware.
 *
 *   No other rights to use this program or it's derivatives in part or
 *   in whole are granted.
 *
 *   It may be possible to license this or other NetBurner software for
 *   use on non NetBurner Hardware. Please contact Licensing@Netburner.com
 *   for more information.
 *
 *   NetBurner makes no representation or warranties with respect to 
 *   the performance of this computer program, and specifically disclaims
 *   any responsibility for any damages, special or consequential, 
 *   connected with the use of this program.
 *
 * Information is available at:  http://www.netburner.com
 * E-Mail info@netburner.com
 *
 * Support is availible at: support@netburner.com
 *
 *********************************************************************/


#ifndef _NB_IADWEB_H
#define _NB_IADWEB_H




//----- Function Prototypes -----
extern "C"
{
	void WebUTC(int sock, PCSTR url);			// Time Settings
	void WebLocal(int sock, PCSTR url);
	void WebLocalOffset(int sock, PCSTR url);
	void WebLeapCkbox(int sock, PCSTR url);
	void WebLeapSecDay(int sock, PCSTR url);
	void WebLeapSecDayAdd(int sock, PCSTR url);
	void WebLeapSecDaySub(int sock, PCSTR url);
	void WebEnableDST(int sock, PCSTR url);
	void WebDisableDST(int sock, PCSTR url);
}

void RegisterPost();
int  MyDoPost(int sock, char * url, char * pData, char * rxBuffer);
void CheckNVSettings();

#endif